aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorcvs2svn <cvs2svn@FreeBSD.org>1994-11-21 11:18:49 +0000
committercvs2svn <cvs2svn@FreeBSD.org>1994-11-21 11:18:49 +0000
commit9f0dc733592d9659895ddceda721da9c75247c9a (patch)
treeef2addd40f6252e1bbe5f040a7677c06ebdf206f
parent32cd2733727195cb433693765760f4e797fd3342 (diff)
downloadsrc-9f0dc733592d9659895ddceda721da9c75247c9a.tar.gz
src-9f0dc733592d9659895ddceda721da9c75247c9a.zip
This commit was manufactured by cvs2svn to create branch 'BETA_2_0'.
Notes
Notes: svn path=/releng/BETA_2_0/; revision=4754
-rw-r--r--release/Makefile4
-rwxr-xr-xrelease/bininst13
-rw-r--r--release/instdist.sh4
-rw-r--r--release/netinst.sh53
4 files changed, 50 insertions, 24 deletions
diff --git a/release/Makefile b/release/Makefile
index 16693b1b9368..4550c4839c2e 100644
--- a/release/Makefile
+++ b/release/Makefile
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.55 1994/11/20 23:31:36 wollman Exp $
+# $Id: Makefile,v 1.56 1994/11/21 04:14:30 phk Exp $
#
# Evil floppies are, of course, 1.2MB floppies.
@@ -201,7 +201,7 @@ tarballs:
tar cf - . | \
${ZIPNSPLIT} ${RELEASEDIR}/tarballs/$$i/$${i}.) ; \
( cd ${RELEASEDIR}/tarballs/$${i}; sh -e ${.CURDIR}/mkchecksums.sh ) ; \
- cp ${.CURDIR}/extract.sh cd ${RELEASEDIR}/tarballs/$${i} ;\
+ cp ${.CURDIR}/extract.sh ${RELEASEDIR}/tarballs/$${i} ;\
done
.include <bsd.prog.mk>
diff --git a/release/bininst b/release/bininst
index f99485e56ee6..4b55b7c3aff0 100755
--- a/release/bininst
+++ b/release/bininst
@@ -13,7 +13,7 @@
# putting your name on top after doing something trivial like reindenting
# it, just to make it look like you wrote it!).
#
-# $Id: bininst,v 1.47 1994/11/20 14:49:46 jkh Exp $
+# $Id: bininst,v 1.49 1994/11/21 08:33:55 jkh Exp $
if [ "$_BININST_LOADED_" = "yes" ]; then
echo "Error, $0 loaded more than once!"
@@ -42,6 +42,7 @@ trap interrupt 1 2 15
# set initial defaults
set_defaults()
{
+ network_set_defaults
media_set_defaults
installing="yes"
mkdir -p ${TMP}
@@ -64,6 +65,10 @@ to go, please remove the cpio floppy from the drive and press return!" -1 -1
do_last_config()
{
+ if [ "$hostname" = "" ]; then network_basic_setup; fi
+
+ done=""
+ while [ "$done" = "" ]; do
dialog --title "Final Configuration!" --menu \
"We now come to the end of the installation. If there's a\n\
floppy in the boot drive, now would probably be a good time\n\
@@ -87,16 +92,18 @@ Please select one of the following options:" -1 -1 4 \
;;
user)
- dialog --clear
sh /stand/adduser.sh -i
;;
guest)
- dialog --clear
sh /stand/adduser.sh
;;
+ done)
+ done="yes"
+ ;;
esac
+ done
dialog --title "Auf Wiedersehen!" --msgbox \
"Don't forget that the login name \"root\" has no password.
diff --git a/release/instdist.sh b/release/instdist.sh
index 96c0e77acf08..8282c59d8605 100644
--- a/release/instdist.sh
+++ b/release/instdist.sh
@@ -10,7 +10,7 @@
# putting your name on top after doing something trivial like reindenting
# it, just to make it look like you wrote it!).
#
-# $Id: instdist.sh,v 1.23 1994/11/21 06:44:59 jkh Exp $
+# $Id: instdist.sh,v 1.24 1994/11/21 07:25:27 jkh Exp $
if [ "$_INSTINST_SH_LOADED_" = "yes" ]; then
return 0
@@ -249,7 +249,7 @@ media_install_set()
if ! echo $media_device | grep -q -v 'ftp://'; then
message "Fetching distribution using ncftp.\nUse ALT-F2 to see output, ALT-F1 to return."
if ! ncftp $media_device/${media_distribution}/* < /dev/null > /dev/ttyv1 2>&1; then
- error "Couldn't fetch ${media_distribution} distribution from ${media_device}!"
+ error "Couldn't fetch ${media_distribution} distribution from\n${media_device}!"
else
media_extract_dist
fi
diff --git a/release/netinst.sh b/release/netinst.sh
index 1a958cffb2d4..8a5ce20d2486 100644
--- a/release/netinst.sh
+++ b/release/netinst.sh
@@ -10,7 +10,7 @@
# putting your name on top after doing something trivial like reindenting
# it, just to make it look like you wrote it!).
#
-# $Id: netinst.sh,v 1.8 1994/11/21 04:35:26 jkh Exp $
+# $Id: netinst.sh,v 1.9 1994/11/21 05:36:01 jkh Exp $
if [ "$_NETINST_SH_LOADED_" = "yes" ]; then
return 0
@@ -26,6 +26,40 @@ ROUTE_FLAGS="add default"
# Grab the miscellaneous functions.
. /stand/miscfuncs.sh
+network_set_defaults()
+{
+ hostname=""
+ domain=""
+ ipaddr="127.0.0.1"
+}
+
+network_basic_setup()
+{
+ hostname=""
+ while [ "$hostname" = "" ]; do
+ default_value=""
+ if ! network_dialog "What is the fully qualified name of this host?"; then return 1; fi
+ if [ "$answer" = "" ]; then
+ error "You must select a host name!"
+ continue
+ else
+ hostname=$answer
+ fi
+ done
+ echo $hostname > /etc/myname
+ hostname $hostname
+
+ default_value=`echo $hostname | sed -e 's/[^.]*\.//'`
+ if network_dialog "What is the domain name of this host (Internet, not YP/NIS)?"; then
+ domain=$answer
+ fi
+
+ default_value="$ipaddr"
+ if ! network_dialog "What is the IP address of this host?"; then return 1; fi
+ ipaddr=$answer
+ echo "$ipaddr $hostname `echo $hostname | sed -e 's/\.$domain//'`" >> /etc/hosts
+}
+
network_setup_ether()
{
dialog $clear --title "Ethernet Interface Name" \
@@ -116,22 +150,7 @@ network_setup()
esac
if [ "$interface" = "" ]; then continue; fi
- default_value=""
- if ! network_dialog "What is the fully qualified name of this host?"; then return 1; fi
- hostname=$answer
- echo $hostname > /etc/myname
- hostname $hostname
-
- default_value=`echo $hostname | sed -e 's/[^.]*\.//'`
- if network_dialog "What is the domain name of this host (Internet, not YP/NIS)?"; then
- domain=$answer
- fi
-
- default_value=""
- if ! network_dialog "What is the IP address of this host?"; then return 1; fi
- ipaddr=$answer
-
- echo "$ipaddr $hostname `echo $hostname | sed -e 's/\.$domain//'`" >> /etc/hosts
+ network_basic_setup
default_value="$netmask"
if network_dialog "Please specify the netmask"; then